# Uses of Interface
org.eclipse.ui.IPlaceholderFolderLayout

Packages that use IPlaceholderFolderLayout
Package
Description
org.eclipse.ui
Application programming interfaces for interaction with and extension of the Eclipse Platform User Interface.

## Uses of IPlaceholderFolderLayout in org.eclipse.ui

Subinterfaces of IPlaceholderFolderLayout in org.eclipse.ui
Modifier and Type
Interface
Description
`interface`
`IFolderLayout`
An `IFolderLayout` is used to define the initial views within a folder.
Methods in org.eclipse.ui that return IPlaceholderFolderLayout
Modifier and Type
Method
Description
`IPlaceholderFolderLayout`
IPageLayout.`createPlaceholderFolder(String folderId, int relationship, float ratio, String refId)`
Creates and adds a placeholder for a new folder with the given id to this page layout.
`IPlaceholderFolderLayout`
IPageLayout.`getFolderForView(String id)`
Returns the folder layout for the view or placeholder with the given compound id in this page layout.